seduction
 Language:
Welcome, Guest. Please login or register.
Did you miss your activation email?
2019/09/15, 22:14:54


Help

Author [EN] [PL] [ES] [PT] [IT] [DE] [FR] [NL] [TR] [SR] [AR] [RU] Topic: Linux 4.10  (Read 6397 times)

0 Members and 1 Guest are viewing this topic.

Offline towo

  • Global Moderator
  • User
  • *****
  • Posts: 2.298
Linux 4.10
« on: 2017/02/20, 07:40:53 »
Kernel 4.10 wird bis auf Weiteres nur in Experimental und nur als 64Bit Version verfügbar sein.
Grund hierfür ist Nvidia, es stehen keine Treiber bereit, die diese Version unterstützen.



Kernel 4.10 will only be available in Experimental and only as 64bit version until further notice.
The reason for this is Nvidia, there are no drivers that support this version.
Ich gehe nicht zum Karneval, ich verleihe nur manchmal mein Gesicht.

Offline samoht

  • User
  • Posts: 319
Re: Linux 4.10
« Reply #1 on: 2017/02/20, 10:22:01 »

Thanks, @towo.
Welche apt-Adresse hat das experimental Repo?
What is the apt address of the experimental repo?

Offline towo

  • Global Moderator
  • User
  • *****
  • Posts: 2.298
Re: Linux 4.10
« Reply #2 on: 2017/02/20, 12:26:38 »
deb http://packages.siduction.org/extra experimental main contrib non-free
Ich gehe nicht zum Karneval, ich verleihe nur manchmal mein Gesicht.

Offline samoht

  • User
  • Posts: 319
Re: Linux 4.10
« Reply #3 on: 2017/02/20, 20:28:08 »
Danke, @towo.

Offline sedonix

  • User
  • Posts: 22
Re: Linux 4.10
« Reply #4 on: 2017/02/21, 22:24:31 »
Code: [Select]
inxi
CPU~Quad core Intel Core i5-6400 (-MCP-) speed/max~899/3300 MHz Kernel~4.10.0-towo.1-siduction-amd64 x86_64
 Up~3:10 Mem~540.2/7893.6MB HDD~6501.3GB(0.2% used) Procs~184 Client~Shell inxi~2.3.5 
Been using it for a couple days on xfce and kde systems with no problems.

Offline Geier0815

  • User
  • Posts: 472
Re: Linux 4.10
« Reply #5 on: 2017/02/24, 21:50:00 »
Ist der Kernel jetzt für normale Nutzung (auch mit Nvidia) freigegeben? Ich habe nur "deb http://packages.siduction.org/extra unstable main" drin, also kein experimental und trotzdem soll linux-image-4.10.0-towo.3-siduction-amd64 installiert werden.
Wenn Windows die Lösung ist...
kann ich dann bitte das Problem zurück haben?

Offline melmarker

  • Global Moderator
  • User
  • *****
  • Posts: 2.728
    • g-com.eu
Re: Linux 4.10
« Reply #6 on: 2017/02/24, 21:56:35 »
Ja, gestern ist der mit 4.10 funktionierende nvidia-driver nach sid gekommen
Those who would give up essential Liberty, to purchase a little temporary Safety, deserve neither Liberty nor Safety. (Benjamin Franklin, November 11, 1755)
Never attribute to malice that which can be adequately explained by stupidity. (Hanlons razor)

Offline horo

  • User
  • Posts: 198
Re: Linux 4.10
« Reply #7 on: 2017/02/24, 22:06:53 »
Danke, läuft hier bereits...
Code: [Select]
uname -a
Linux veronese 4.10.0-towo.3-siduction-amd64 #1 SMP PREEMPT siduction 4.10-2 (2017-02-24) x86_64 GNU/Linux

Ciao, Martin
omnia vincit pecunia :(

Offline Geier0815

  • User
  • Posts: 472
Re: Linux 4.10
« Reply #8 on: 2017/02/24, 22:31:43 »
Hat ganz großartig nicht funktioniert. http://paste.debian.net/916642

Ich vermute mal das ich das lösen kann wenn ich dem Hinweis im Log folge und "make oldconfig && make prepare" ausführe, denke aber nicht das das so gedacht ist.
Wenn Windows die Lösung ist...
kann ich dann bitte das Problem zurück haben?

Offline Geier0815

  • User
  • Posts: 472
Re: Linux 4.10
« Reply #9 on: 2017/02/24, 22:38:44 »
Hmmm, funktioniert nicht. In /usr/src/linux-headers-4.10.0-towo.3-siduction-amd64 den Befehl ausgeführt bringt folgende Meldung:
Quote
scripts/kconfig/conf  --oldconfig Kconfig
warning: (VIDEO_ZORAN_DC30 && VIDEO_ZORAN_DC10) selects VIDEO_ADV7175 which has unmet direct dependencies (MEDIA_SUPPORT && VIDEO_V4L2 && I2C && BROKEN)
warning: (VIDEO_ZORAN_DC30 && VIDEO_ZORAN_DC10) selects VIDEO_ADV7175 which has unmet direct dependencies (MEDIA_SUPPORT && VIDEO_V4L2 && I2C && BROKEN)
#
# configuration written to .config
#
scripts/kconfig/conf  --silentoldconfig Kconfig
warning: (VIDEO_ZORAN_DC30 && VIDEO_ZORAN_DC10) selects VIDEO_ADV7175 which has unmet direct dependencies (MEDIA_SUPPORT && VIDEO_V4L2 && I2C && BROKEN)
warning: (VIDEO_ZORAN_DC30 && VIDEO_ZORAN_DC10) selects VIDEO_ADV7175 which has unmet direct dependencies (MEDIA_SUPPORT && VIDEO_V4L2 && I2C && BROKEN)
make[1]: *** Keine Regel vorhanden, um das Ziel „arch/x86/entry/syscalls/syscall_32.tbl“,
  benötigt von „arch/x86/entry/syscalls/../../include/generated/asm/syscalls_32.h“, zu erstellen.  Schluss.
arch/x86/Makefile:192: die Regel für Ziel „archheaders“ scheiterte
make: *** [archheaders] Fehler 2
Ein Problem mit multiarch oder ein klassischer PEBKAC?
Wenn Windows die Lösung ist...
kann ich dann bitte das Problem zurück haben?

Offline towo

  • Global Moderator
  • User
  • *****
  • Posts: 2.298
Re: Linux 4.10
« Reply #10 on: 2017/02/24, 22:48:23 »
Ein Problem mit Hardware, wo die Treiber keinen Kernel-4.10-Support haben.
Ich gehe nicht zum Karneval, ich verleihe nur manchmal mein Gesicht.

Offline Geier0815

  • User
  • Posts: 472
Re: Linux 4.10
« Reply #11 on: 2017/02/24, 22:54:36 »
Ok, dann ist ja fast gut, ich dachte schon ich wäre mal wieder zu blöd. Wird es für ältere Karten noch passende Treiber geben oder hat nvidia da irgend etwas abgekündigt?
Wenn Windows die Lösung ist...
kann ich dann bitte das Problem zurück haben?

Offline dibl

  • siduction community member
  • Global Moderator
  • User
  • *****
  • Posts: 1.908
    • Land of the Buckeye
Re: Linux 4.10
« Reply #12 on: 2017/02/24, 22:59:21 »
Quote from: melmarker
[size=0px]Ja, gestern ist der mit 4.10 funktionierende nvidia-driver nach sid gekommen[/size]
Release notes for 375-39 say nothing about kernel 4.10.
Asus ROG STRIX X299-E, Core i7-7740X, Nvidia GTX-1060, dual monitors, SSD 860 EVO, 2@WD1003FZEX in BTRFS

Offline jure

  • User
  • Posts: 517
Re: Linux 4.10
« Reply #13 on: 2017/02/24, 23:07:28 »
hmm

Quote
apt changelog nvidia-driver

nvidia-graphics-drivers (375.39-1) unstable; urgency=medium

  * New upstream long lived branch release 375.39 (2017-02-14).
    * Fixed CVE-2017-0309, CVE-2017-0310, CVE-2017-0311, CVE-2017-0318,
      CVE-2017-0321.  (Closes: #855277)
    - Fixed a bug that caused system hangs when resuming from suspend with
      some GPUs.
    - Fixed a regression that could cause corruption when hot-plugging
      displays.
    - Fixed a regression that prevented systems with multiple DisplayPort
      monitors from resuming correctly from suspend.
    - Added support for the following GPU(s): Quadro GP100, Quadro P4000,
      Quadro P2000, Quadro P1000, Quadro P600, Quadro P400, Quadro M1200,
      Quadro M2200.

  [ Luca Boccassi ]
  * Update nv-readme.ids
  * Update symbols files
  * Add deprecated-cpu-events.patch, dma-fence-rename.patch and
    vmf-address.patch to fix kernel module build on Linux 4.10 and newer.
    (Closes: #855802)


  [ Andreas Beckmann ]
  * bug-control: Report information about installed Vulkan ICDs.
  * Restrict watch file to releases from the 375.xx long lived branch.
« Last Edit: 2017/02/24, 23:14:27 by jure »
Gruss Juergen

Offline dibl

  • siduction community member
  • Global Moderator
  • User
  • *****
  • Posts: 1.908
    • Land of the Buckeye
Re: Linux 4.10
« Reply #14 on: 2017/02/24, 23:09:33 »
Ahhh -- thanks Jure -- they did not show that on their website.  So, maybe I'll get brave and try 4.20.
Asus ROG STRIX X299-E, Core i7-7740X, Nvidia GTX-1060, dual monitors, SSD 860 EVO, 2@WD1003FZEX in BTRFS